/*
 * Java
 *
 * Copyright 2017 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package ej.wadapps.applicationstore;

import ej.kf.Proxy;

public class ApplicationStoreConnectionInfoProxy extends Proxy<ApplicationStoreConnectionInfo> implements ApplicationStoreConnectionInfo {

	@Override
	public String getUrl() {
		try {
			return (String) invokeRef();
		} catch (Throwable e) {
			return null;
		}
	}

	@Override
	public String getUserName() {
		try {
			return (String) invokeRef();
		} catch (Throwable e) {
			return null;
		}
	}

	@Override
	public String getUserEmail() {
		try {
			return (String) invokeRef();
		} catch (Throwable e) {
			return null;
		}
	}

	@Override
	public boolean isReachable() {
		try {
			return invokeBoolean();
		} catch (Throwable e) {
			return false;
		}
	}

	@Override
	public boolean isAuthenticated() {
		try {
			return invokeBoolean();
		} catch (Throwable e) {
			return false;
		}
	}

}
