/*
 * Java
 *
 * Copyright 2018-2019 MicroEJ Corp. All rights reserved.
 * For demonstration purpose only.
 * MicroEJ Corp. PROPRIETARY. Use is subject to license terms.
 */
package com.microej.demo.thermorest.cloud.aws;

import java.io.InputStream;

/**
 * Loader of certificate file.
 */
public interface CertificateLoader {

	/**
	 * Load a certificate.
	 *
	 * @param path
	 *            path to the certificate file.
	 * @return a stream to the certificate file, <code>null</code> if not found.
	 */
	InputStream loadCertificate(String path);

}
