/*
 * Java
 *
 * Copyright 2014-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver.event;

import ej.ecom.Device;

/**
 * An abstract event type.
 */
public interface Event<D extends Device> {
	/**
	 * @return the device
	 */
	public D getDevice();
}
